#ifndef PLANSZA_H
#define PLANSZA_H
#include <QGLWidget>
#include <QMouseEvent>

class plansza: public QGLWidget
{
  Q_OBJECT
  
  protected:
    void mousePressEvent(QMouseEvent *event);
    void initializeGL();
    void paintGL();
    void resizeGL(int w,int h);
  private:
    float xcur; //podaje aktualne po?o?enie.
    float ycur;
    static const int gestosc=15;
    static const float xmax=9.42477796076938; //3*pi.
    static const float ymax=6.283185307179586;
    static const float pi2=6.283185307179586;
    static const float radx=0.1;
    static const float rady=0.05;
    GLuint portrait;
    GLuint circle;
    void makeportrait();
    int wid;
    int hei;
  public:
    plansza(QWidget* parent);
    ~plansza();
    
  signals:
    void pointchosen(float,float);
  public slots:
    void pointmoved(float,float);
};

#endif //PLANSZA_H
